# classes/phing/types/selectors/NoneSelector.php

This selector has a collection of other selectors. All of those selectors must refuse to select a file before the file is considered selected by this selector.

author
  Hans Lellelid
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors

## \NoneSelector
jump to top

This selector has a collection of other selectors. All of those selectors must refuse to select a file before the file is considered selected by this selector.

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \BaseSelectorContainer
author
  Hans Lellelid
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

### Methods

`isSelected( \basedir $basedir, \filename $filename, \file $file ) : \whether`
Returns true (the file is selected) only if all other selectors agree that the file should not be selected.
Parameters

Name | Type | Description
--- | --- | ---
$basedir | \basedir | the base directory the scan is being done from
$filename | \filename | is the name of the file to check
$file | \file | is a java.io.File object for the filename that the selector can use

Returns

Type | Description
--- | ---
\whether |

`toString( ) :`
Documentation was generated by DocBlox 0.13.1.